/* libinit.c
 *
 * Author:  Kai Uwe Rommel <rommel@jonas>
 * Created: Sat Jan 01 1994
 */
 
extern char cmdid[];
extern exiterr();

#ifdef main
#undef main
#endif

main(int argc, char **argv)
{
  /* Before actually starting the RCS programs, additional
   * startup code can be executed here, such as for command
   * line expansion.
   */

#ifdef __EMX__
  _response(&argc, &argv);
  _wildcard(&argc, &argv);
  _emxload_env("RCSLOAD");
#endif

#ifdef RCSDLL
  dllmain(cmdid, exiterr);
#endif

  rcsmain(argc, argv);
}

/* end of libinit.c */
